Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7943 - ^Z and ^C do not work on serial console under sparc linux, 2.2.12+
Summary: ^Z and ^C do not work on serial console under sparc linux, 2.2.12+
Keywords:
Status: CLOSED DUPLICATE of bug 9948
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-22 01:13 UTC by trockij
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-03-04 18:03:01 UTC


Attachments (Terms of Use)

Description trockij 1999-12-22 01:13:17 UTC
Date: Mon, 13 Dec 1999 17:47:48 -0800 (PST)
From: Jim Trocki <trockij@transmeta.com>
To: davem@redhat.com
Subject: serial console strangeness on sparclinux


I'm using the first serial port on an Ultra1 for the console, running
sparclinux 2.2.14pre12, and certain keys are ignored, such as ^C
and ^Z. Here is some info:

[root@diy /root]# uname -a
Linux diy.transmeta.com 2.2.14pre12 #3 Fri Dec 10 07:38:40 PST 1999 sparc64
unknown

[root@diy /root]# tty
/dev/console
[root@diy /root]# ls -l /dev/console
crw-------   1 root     tty        5,   1 Dec 13 17:39 /dev/console

[root@diy /root]# stty sane

[root@diy /root]# stty -a
speed 9600 baud; rows 0; columns 0; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;
eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; dsusp = ^Y; rprnt = ^R;
werase = ^W; lnext = ^V; flush = ^O;
-parenb -parodd cs8 hupcl -cstopb cread clocal -crtscts
-ignbrk brkint ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon
-ixoff
-iuclc -ixany imaxbel
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0
ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt
echoctl echoke

Any ideas? ^S and ^Q work, so does ^D, but ^Z and ^C do nothing.

If I telnet to the machine, then all the above keys function as
expected--it's only over the serial console am I having problems.

I'm using the stock RH6.1 distribution. I get the same behavior using
the 2.2.12-42 which comes with RHAT.

Here is some more info from /etc/inittab

co:2345:respawn:/sbin/getty console DT9600 vt100

[root@diy /root]# grep DT9600 /etc/gettydefs
DT9600# B9600 CS8 CLOCAL # B9600 SANE -ISTRIP CLOCAL #@S login: #DT9600


Jim Trocki <trockij@transmeta.com>
Computer System and Network Engineer
Transmeta Corporation
Santa Clara, CA

Comment 1 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford

Comment 2 Bill Nottingham 2000-03-04 18:03:59 UTC
*** This bug has been marked as a duplicate of 9948 ***


Note You need to log in before you can comment on or make changes to this bug.